Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.base
Class Charsets

    java.lang.Object
      com.google.common.base.Charsets

    public final class Charsets

extends Object

Contains constant definitions for the six standard `Charset` instances, which are guaranteed to be supported by all Java platform implementations.

Since:
  1.0
Author:
  Mike Bostock

Field Summary
`static Charset` | `ISO_8859_1` ISO-8859-1.
`static Charset` | `US_ASCII` US-ASCII: seven-bit ASCII, a.k.a.
`static Charset` | `UTF_16` UTF-16: sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.
`static Charset` | `UTF_16BE` UTF-16BE: sixteen-bit UCS Transformation Format, big-endian byte order.
`static Charset` | `UTF_16LE` UTF-16LE: sixteen-bit UCS Transformation Format, little-endian byte order.
`static Charset` | `UTF_8` UTF-8: eight-bit UCS Transformation Format.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### US_ASCII

    public static final Charset US_ASCII

  US-ASCII: seven-bit ASCII, a.k.a. ISO646-US, a.k.a the Basic Latin block of the Unicode character set.

### ISO_8859_1

    public static final Charset ISO_8859_1

  ISO-8859-1. ISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.

### UTF_8

    public static final Charset UTF_8

  UTF-8: eight-bit UCS Transformation Format.

### UTF_16BE

    public static final Charset UTF_16BE

  UTF-16BE: sixteen-bit UCS Transformation Format, big-endian byte order.

### UTF_16LE

    public static final Charset UTF_16LE

  UTF-16LE: sixteen-bit UCS Transformation Format, little-endian byte order.

### UTF_16

    public static final Charset UTF_16

  UTF-16: sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.